/*
MPEG 2 decoder bitstream xfer
*/

#include <stdio.h>
#include <stdlib.h>

#define	TRUE		1
#define	FALSE		0

unsigned	char	buffer422[1920 * 1088 * 2];

int main(int argc, char **argv)
{
	FILE	*fpout;
	unsigned int	i, j, index = 0;
	unsigned char	y, cb, cr;

	if (argc != 2) {
		fprintf(stderr, "usage: bars709 <outfile>\n");
		exit(-1);
	}

	/*--- open binary file (for parsing) ---*/
	fpout = fopen(argv[1], "wb");
	if (fpout == 0) {
		fprintf(stderr, "Cannot open output file <%s>\n", argv[1]);
		exit(-1);
	}

	for(j = 0; j < 720; j++)  {
		for(i = 0; i < 4; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 180;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 168;
			cr = 136;
			cb = 44;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 145;
			cr = 44;
			cb = 147;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 133;
			cr = 52;
			cb = 63;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 63;
			cr = 204;
			cb = 193;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 51;
			cr = 212;
			cb = 109;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 28;
			cr = 120;
			cb = 212;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 4; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
	}
	for(j = 0; j < 96; j++)  {
		for(i = 0; i < 4; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 28;
			cr = 120;
			cb = 212;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 63;
			cr = 204;
			cb = 193;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 145;
			cr = 44;
			cb = 147;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 180;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 4; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
	}
	for(j = 0; j < 264; j++)  {
		for(i = 0; i < 4; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < (136 * 2); i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 7;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 136; i++)  {
			y = 25;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < (136 * 2); i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
		for(i = 0; i < 4; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			buffer422[index++] = cb;
			buffer422[index++] = y;
			buffer422[index++] = cr;
			buffer422[index++] = y;
		}
	}
	fwrite(&buffer422[0], 1, 1920 * 1080 * 2, fpout);
	fclose(fpout);
	return 0;
}
