/*
MPEG 2 decoder bitstream xfer
*/

#include <stdio.h>
#include <stdlib.h>

#define	TRUE		1
#define	FALSE		0

int main(int argc, char **argv)
{
	FILE	*fpout;
	unsigned int	i, j;
	unsigned char	y, cb, cr, offset = 1;

	if (argc != 2) {
		fprintf(stderr, "usage: pat<outfile>\n");
		exit(-1);
	}

	/*--- open binary file (for parsing) ---*/
	fpout = fopen(argv[1], "wb");
	if (fpout == 0) {
		fprintf(stderr, "Cannot open output file <%s>\n", argv[1]);
		exit(-1);
	}

#if 1
	for(j = 0; j < 99; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 60;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 98; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 55;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 98; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 51;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 98; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 47;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 98; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 42;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 98; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 38;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 98; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 34;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 98; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 29;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 98; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 25;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 98; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 20;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
	for(j = 0; j < 99; j++)  {
		for(i = 0; i < 960; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
#else
	for(j = 0; j < 1080; j++)  {
		for(i = 0; i < 80; i++)  {
			y = 16;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 20;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 25;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 29;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 34;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 38;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 42;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 47;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 51;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 55;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
		for(i = 0; i < 88; i++)  {
			y = 60;
			cr = 128;
			cb = 128;
			fwrite(&cb, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
			fwrite(&cr, 1, 1, fpout);
			fwrite(&y, 1, 1, fpout);
		}
	}
#endif
	fclose(fpout);
	return 0;
}
